package com.oguerreiro.resilient.service.dto;

import static org.assertj.core.api.Assertions.assertThat;

import com.oguerreiro.resilient.web.rest.TestUtil;
import org.junit.jupiter.api.Test;

class InputDataUploadDTOTest {

    @Test
    void dtoEqualsVerifier() throws Exception {
        TestUtil.equalsVerifier(InputDataUploadDTO.class);
        InputDataUploadDTO inputDataUploadDTO1 = new InputDataUploadDTO();
        inputDataUploadDTO1.setId(1L);
        InputDataUploadDTO inputDataUploadDTO2 = new InputDataUploadDTO();
        assertThat(inputDataUploadDTO1).isNotEqualTo(inputDataUploadDTO2);
        inputDataUploadDTO2.setId(inputDataUploadDTO1.getId());
        assertThat(inputDataUploadDTO1).isEqualTo(inputDataUploadDTO2);
        inputDataUploadDTO2.setId(2L);
        assertThat(inputDataUploadDTO1).isNotEqualTo(inputDataUploadDTO2);
        inputDataUploadDTO1.setId(null);
        assertThat(inputDataUploadDTO1).isNotEqualTo(inputDataUploadDTO2);
    }
}
